%global _hardened_build 1

%global commit 58808b489d03564225f905aaa05aa1b25ab0f9dd
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           openvpn-plugin-auth-script
Version:        0.0.0 
Release:        0.3%{?dist}
Summary:        OpenVPN plugin to auth connections using non-blocking external script

License:        ASL 2.0
URL:            https://github.com/fkooman/auth-script-openvpn
Source0:        https://github.com/fkooman/auth-script-openvpn/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
BuildRequires:  meson
BuildRequires:  openvpn-devel
Requires:       openvpn

%description
Runs an external script to decide whether to authenticate a user or not. 
Useful for checking 2FA on VPN auth attempts as it doesn't block the main 
openvpn process, unlike passing the script to --auth-user-pass-verify flag.

The idea of the plugin is to do as little as possible, and let the external 
binary do all the heavy lifting itself.

%prep
%autosetup -n auth-script-openvpn-%{commit}

%build
%meson
%meson_build

%install
mkdir -p %{buildroot}%{_libdir}/openvpn/plugins
cp -p %{_vpath_builddir}/openvpn-plugin-auth-script.so %{buildroot}%{_libdir}/openvpn/plugins

%files
%license LICENSE
%doc README.md
%{_libdir}/openvpn/plugins

%changelog
* Wed Apr 04 2018 François Kooman <fkooman@tuxed.net> - 0.0.0-0.3
- use Meson
- plugin is now called "openvpn-plugin-auth-script.so"

* Fri Oct 20 2017 François Kooman <fkooman@tuxed.net> - 0.0.0-0.2
- rebuilt

* Tue Sep 19 2017 François Kooman <fkooman@tuxed.net> - 0.0.0-0.1
- initial package
